package me.qwq.doghouse.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;

import me.qwq.doghouse.annotation.StaticAttribute;

/**
 * 链接类型枚举
 **/
@StaticAttribute
public enum LinkTypeEnum implements IQueryableEnum {

    FRIEND(0, "朋友"),
    RECOMMEND(1, "推荐"),
    NAVI(2, "导航");

    @EnumValue
    private final int status;
    @JsonValue
    private final String note;

    LinkTypeEnum(int status, String note) {
        this.status = status;
        this.note = note;
    }

    public String getNote() {
        return note;
    }

    public int getStatus() {
        return status;
    }
}
